#ifndef __GSM_H__
#define __GSM_H__


#include <avr/io.h>					
#include <avr/interrupt.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <stdbool.h>
#include <util/delay.h>
#include "USART_Interrupt.h"				/* include USART Header file */
#include "../nokia5110/nokia5110.h"

#define SREG   _SFR_IO8(0x3F)

void GSM_Begin();							
void GSM_Calling(char *);
void GSM_HangCall();
void GSM_Response();
void GSM_Response_Display();
void GSM_Msg_Read(int);
bool GSM_Wait_for_Msg();
void GSM_Msg_Display();
void GSM_Msg_Delete(unsigned int);
void GSM_Send_Msg(char* , char*);
void GSM_Delete_All_Msg();

#endif